Initiate Video Closed Caption Generation
Force auto-caption generation of video asset
URL: POST /api/v1/assets/video/cc/generate
Request Parameters
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| advertiserId | The ID of the specific advertiser | integer | Y | A valid advertiser ID |
| assetId | The ID of the video asset | uuid | Y | A valid asset ID |
| profileName | enum | Y | Required value: checkin |
Headers
| Header Name | Description | Required | Values |
|---|---|---|---|
| Authorization | Bearer token provides the access to the API. It is same for all advertisers you access through the API. | Y | Use the auth_token that was generated and shared with you at the time of partner onboarding. For more information, see the Getting Started Guide. |
| Content-Type | Format of the message body | Y | application/json |
| WM_CONSUMER.ID | Unique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API. | Y | Use the ConsumerId that was generated and shared with you at the time of partner onboarding. For more information, see the Getting Started Guide. |
| WM_SEC.AUTH_SIGNATURE | Signature for authentication | Y | Use the signature generator code to generate this value. For more information, see the Getting Started Guide. |
| WM_SEC.KEY_VERSION | Key version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API. | Y | 1 |
| WM_CONSUMER.intimestamp | Timestamp for which the auth signature is generated. Use Unix epoch format for the timestamp. | Y | Use the signature generator code to generate this value. For more information, see the Getting Started Guide. |
Sample Request
curl -X POST \
'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/assets/video/cc/generate' \
--header 'Content-Type: multipart/form-data' \
--header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v00-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 00000000, "profileName":"checkin", "assetId": "00000000", "captioningJobId": "00000000"
}'
Response
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| code | The response code can have following values:
Click here for more information about Status Codes and Errors | N | string | success, failure |
| details | Details will populate success or error message depending upon value of code. | N | string | |
| captioningJobId | ID of the captioning job when generateCaptions = trueIt is returned in response only if code = success | Y | string | |
| message | High-level summary of the error, when available. | Y | string | |
| errors | Detailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description. | Y | array<object> |
errors array object details
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| field | Omitted if the error applies to the request as a whole. | Y | string | |
| errorType | Machine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic. | N | string | |
| description | Human-readable explanation of the error, including why the request failed and, when possible, how to resolve it | N | string |
Sample Response
[ { "code": "success", "captioningJobId": "83bb0f0e-c7d4-43a9-9275-20a1f3508cb3", "errorMessage": null, "details": [ "SUCCESS" ] }
]Sample Response - Failure
[ { "code": "failure", "details": [ "string" ], "message": "string",
"errors": [ { "field": "string", "errorType": "string", "description": "string" } ] }
]Updated 21 days ago
Did this page help you?
